<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateContractObligationContractDependenciesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('contract_obligation_contract_dependencies', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('user_id')->unsigned()->nullable();
            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
            $table->bigInteger('contract_obligation_id')->unsigned()->nullable();
            $table->foreign('contract_obligation_id', 'codc_co_id')->references('id')->on('contract_obligations')->onDelete('cascade');
            $table->bigInteger('depend_contract_id')->unsigned()->nullable();
            $table->foreign('depend_contract_id', 'codc_dc_id')->references('id')->on('contracts')->onDelete('cascade');
            $table->integer('status')->nullable()->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('contract_obligation_contract_dependencies');
    }
}
